@font-face {
  font-family: 'Prophet';
  src: url('Prophet-Medium.otf');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Monument Grotesk';
  src: url('MonumentGrotesk-Regular.otf');
  font-weight: normal;
  font-style: normal;
}

body {
  background-color: #f8f8f8;
  font-family: 'Monument Grotesk', sans-serif;
  line-height: 1;
  cursor: none;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

#click-container {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  min-height: 400px;
  overflow: hidden;
  pointer-events: none;
}

#content {
  position: relative;
  height: 100%;
  min-height: 400px;
  border: 2em solid #f8f8f8;
}

#click {
  position: absolute;
  top: 15%;
  right: 30%;
  background-color: #fd3;
  width: 4em;
  height: 4em;
  line-height: 4em;
  text-align: center;
  border-radius: 50%;
  margin: -2em;
  color: #000;
  transition: color .3s, background 1s;
  pointer-events: none;
}

#click svg {
  position: absolute;
  top: 25%;
  right: 25%;
  bottom: 25%;
  left: 25%;
  width: 50%;
  display: block;
  opacity: 0;
  transition: .3s;
  pointer-events: none;
}

#click svg path {
  stroke: #000;
  stroke-width: 3;
}

#click.cursor {
  color: transparent;
  background-color: #ffdd3340;
}

#click.cursor svg {
  opacity: 1;
}

.logo {
  position: absolute;
  width: 2em;
  top: 0;
  right: .5em;
}

.text-top {
  position: absolute;
  top: 0;
  left: 0;
  right: 4em;
}

.crumb {
  position: relative;
  display: inline-block;
}

.crumb.like-a {
  padding-right: 0;
  margin-right: 0.25em;
  margin-left: 0.25em;
}

.crumb:after {
  content: '';
  display: block;
  position: absolute;
  top: 50%;
  left: 0;
  width: 0;
  height: 1px;
  background-color: #000;
  transition: .3s;
}

.crumb:hover:after {
  width: 100%;
}

.crumb-separator {
  display: inline-block;
}

.crumb-tooltip {
  position: absolute;
  top: 80%;
  color: #000;
  width: 10em;
  left:50%;
  margin-left: -5em;
  text-align: center;
  font-size: .79em;
  opacity: 0;
  transition: .3s;
}

.crumb:hover .crumb-tooltip {
  opacity: 1;
}

.text-bottom {
  position: absolute;
  bottom: 0;
  left: 0;
}

.text-right {
  position: absolute;
  bottom: 0;
  right: 1em;
  transition: .3s;
}

.text-right img {
  width: 1em;
}

.text-main {
  position: absolute;
  font-size: 10em;
  top: 15%;
  line-height: .7;
  margin-top:-.3em;
}

@media (min-width: 1400px) {
  .text-main {
    font-size:13em !important;
  }
}

#image-container {
  position: absolute;
  top: 2.5em;
  right: 4.5em;
  bottom: 0em;
  left: 0em;
  pointer-events: none;
}

#image-container .img {
  position: absolute;
  width: 10%;
  opacity: 0;
  transition: .3s;
  background-color: #ffff;
}

#image-container .img.active {
  opacity: 1;
}

#image-container .img .cake {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  padding: 0;
  height: auto;
  opacity: .1;
  transition: .3s;
}

@keyframes load {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes load-path {
  0% {
    stroke-dasharray: 10 60 10;
  }

  50% {
    stroke-dasharray: 40 0 40;
  }

  100% {
    stroke-dasharray: 10 60 10;
  }
}

#image-container .img svg {
  position: absolute;
  top: 50%;
  left: 50%;
  margin: -1em;
  width: 2em;
  animation: load 1s infinite;
}

#image-container .img svg path {
  stroke: #fd3;
  stroke-width: 20;
  stroke-linecap: round;
  animation: load-path 2s infinite ;
}

#image-container .img.loaded .cake {
  opacity: 1;
}

#image-container .img.loaded svg {
  display: none;
}

@media (max-width: 550px), (max-height:400px) {
  body {
    font-size:.8em;
  }

  #content {
    border-width: 1.5em;
  }

  .text-right {
    right: 1.5em
  }

  #click-container, #content {
    min-height: 300px;
  }
}

a, .like-a {
  cursor: none;
  padding: 1em 1em 1em 0;
  margin: -1em -1em -1em 0;
  position: relative;
  z-index: 20;
  display: inline-block;
}

#cp {
  position: relative;
  -webkit-touch-callout: auto;
  -webkit-user-select: auto;
  -khtml-user-select: auto;
  -moz-user-select: auto;
  -ms-user-select: auto;
  user-select: auto;
}

.tooltip {
  position: absolute;
  bottom: 100%;
  left: 50%;
  width: 200px;
  margin-left: -100px;
  margin-bottom: .5em;
  text-align: center;
  background-color: #f7f7f7;
  display: none;
  padding: .5em;
  box-shadow: 0em 0em 0 1px rgba(0,0,0,.5);
}
